package com.mortals.xhx.module.record.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.PrintLogVo;
import lombok.Data;
/**
 * 证照打印记录实体对象
 *
 * @author zxfei
 * @date 2023-07-05
 */
@Data
public class PrintLogEntity extends PrintLogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 证照目录ID
     */
    private Long catalogId;
    /**
     * 证照目录编号
     */
    private String catalogCode;
    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 证照名称
     */
    private String certificateName;
    /**
     * 证照编号
     */
    private String certificateCode;
    /**
     * 企业名称
     */
    private String enterpriseName;
    /**
     * 持有者姓名
     */
    private String holderName;
    /**
     * 持有者证件号码
     */
    private String holderIDCardNo;
    /**
     * 取件人姓名
     */
    private String pickerName;
    /**
     * 取件人证件号码
     */
    private String pickerIDCardNo;
    /**
     * 打印状态1打印成功0失败
     */
    private Integer printStatus;
    /**
     * 打印时间
     */
    private Date printDate;
    /**
     * 打印结果描述
     */
    private String statusRemark;
    /**
     * 打印设备
     */
    private Long deviceId;
    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 证照目录模板ID
     */
    private Long templateId;
    /**
     * 证照模板名称
     */
    private String templateName;
    /**
     * 手机号码
     */
    private String mobile;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PrintLogEntity) {
            PrintLogEntity tmp = (PrintLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.catalogId = -1L;

        this.catalogCode = "";

        this.catalogName = "";

        this.certificateName = "";

        this.certificateCode = "";

        this.enterpriseName = "";

        this.holderName = "";

        this.holderIDCardNo = "";

        this.pickerName = "";

        this.pickerIDCardNo = "";

        this.printStatus = 1;

        this.printDate = null;

        this.statusRemark = "";

        this.deviceId = -1L;

        this.siteId = -1L;

        this.templateId = -1L;

        this.templateName = "";

        this.mobile = "";
    }
}